PROBE::NFSD.PROC(3stap)

NAME
probe::nfsd.proc.read - NFS server reading file for client

SYNOPSIS

nfsd.proc.read

VALUES

fh
    file handle (the first part is the length of the file handle)

client_ip
    the ip address of client

proto
    transfer protocol

count
    read bytes

vec
    struct kvec, includes buf address in kernel address and length of each buffer

version
    nfs version

offset
    the offset of file

vlen
    read blocks

uid
    requester's user id

size
    read bytes

gid
    requester's group id

SEE ALSO
tapset::nfsd(3stap)